part of 'sos_device_bloc.dart';

sealed class SosDeviceEvent extends Equatable {
  const SosDeviceEvent();
}

class GetDeviceStatus extends SosDeviceEvent {
  final String uuid;
  const GetDeviceStatus(this.uuid);
  @override
  List<Object?> get props => [uuid];
}

class GetBatchStatus extends SosDeviceEvent {
  final List<String> uuids;
  const GetBatchStatus(this.uuids);
  @override
  List<Object?> get props => [uuids];
}

class GetDeviceRecords extends SosDeviceEvent {
  final String uuid;

  const GetDeviceRecords(this.uuid);
  @override
  List<Object?> get props => [uuid];
}

class GetDeviceAutomationRecords extends SosDeviceEvent {
  final String uuid;
  const GetDeviceAutomationRecords(this.uuid);
  @override
  List<Object?> get props => [uuid];
}

class BackToSosStatusView extends SosDeviceEvent {
  @override
  List<Object?> get props => [];
}

class SosFactoryReset extends SosDeviceEvent {
  final String deviceId;
  final FactoryResetModel factoryReset;

  const SosFactoryReset({required this.deviceId, required this.factoryReset});

  @override
  List<Object> get props => [deviceId, factoryReset];
}
